\ProvidesClass{nuno_CLS}
\LoadClass{article}
\renewcommand\normalsize{
	\@setfontsize\normalsize{12}{12}}
\usepackage{wrapfig}
\usepackage{blindtext}
\usepackage{amsmath}
\usepackage{color,pxfonts,fix-cm}
\usepackage{latexsym}
\usepackage{pict2e}
\usepackage{wasysym}
\usepackage{tikz}
\RequirePackage{natbib}%bibliografia
\RequirePackage[utf8]{inputenc}
\RequirePackage[a4paper, margin=25mm, headsep=15mm, footskip=15mm]{geometry}
\setlength{\parindent}{0pt}


\RequirePackage{titling}
\pretitle{\begin{center} \fontsize{14}{14} \selectfont \bfseries}
	\posttitle{\par \end{center} \vskip 0.0em}
%\preauthor{\begin{center}
%		\large \lineskip 0.0em%
%		\begin{tabular}[t]{c}}
%		\postauthor{\end{tabular}\par\end{center}\vskip -2.5em}

%\preauthor{\begin{flushleft} \large}
%	\postauthor{\end{flushleft} \vskip -2.5em}

\predate{\begin{center}\large\vskip -1.5em}
	\postdate{\par\end{center}\vskip -1.0em}

\RequirePackage[blocks]{authblk}
\renewcommand\Authsep{, }
%\renewcommand\Authsep{, }
%\renewcommand\Authsep{, }

% Parece-me que haver aqui três renewcommand iguais não faz grande sentido. O que seria de esperar, pelo que andei a investigar na documentação do authblk, é a definição de três comandos diferentes para as separações dos autores:

\renewcommand\Authand{ e } 
\renewcommand\Authands{ e }




\setlength{\affilsep}{2em}%espaço entre autor e afill
\setcounter{Maxaffil}{5}
\renewcommand\Authfont{\fontsize{9}{10} \selectfont \flushleft \vskip -1em}%se uso o \flushleft aqui fica alinhado à esquerda mas no header os autores ficam em linhas separadas.
\renewcommand\Affilfont{\fontsize{9}{10} \selectfont \flushleft \vskip -1em}% o \flushleft aqui coloca o \afill à esquerda sem problemas




%\renewcommand\Affilfont{\fontsize{8}{9} \selectfont}


\RequirePackage{graphicx}
\graphicspath{ {./images/} }




\RequirePackage{tikz}


\RequirePackage{fancyhdr}
\pagestyle{fancy}
\fancyheadoffset{1cm}
\fancyfootoffset{1cm}
\fancyhf{}
\fancypagestyle{plain}{
	\fancyhf{}
	\fancyhead[L]{
		\begin{tabular}[c]{@{}c@{}}
			\includegraphics[height=3.5\normalbaselineskip]{imageinicio}
		\end{tabular}
		\fontsize{9}{10}\selectfont
		\begin{tabular}[c]{@{}l@{}}
			Journal on Teaching Engineering, 9:1 (2023) 1-117 \\
			ISSN XXX-XXXX \\
			DOI: \href{https://doi.org/10.24840/2183-6493\_00X-00X\_00XX}{10.24840/2183-6493\_001-001\_0011}
	\end{tabular}}
	
	\fancyhead[R]{\fontsize{8}{10}\selectfont%
		\begin{tabular}[c]{@{}r@{}}
			Received: XX December, XXX \\
			Revised: XX December, XXX \\
			Published: XX December, XXXX
	\end{tabular}}	
	\fancyfoot[R]{
		\fontsize{8}{8} \selectfont
		\textbf{\thepage}}}
%cria o header na pagina 2 com uso dos autores definidos no author  title  etc
\lhead{
	\fontsize{8}{8} \selectfont
	\@title\\
	\newcommand{\printauthorlist}{{%
			\expandafter\let\csname textsuperscript \endcsname\@gobble% Remove \textsuperscript 
			\renewcommand{\Authfont}{\small} % redefini aqui o tipo de letra a usar nos autores, este comando deve estar a inserir uma nova linha, andei a pesquisar aqui: https://mirrors.up.pt/pub/CTAN/macros/latex/contrib/preprint/authblk.dtx
			\AB@authlist}% Print list
	}
	\printauthorlist}

\renewcommand{\headrulewidth}{0pt}
\lfoot {
	\fontsize{8}{8} \selectfont
	U.Porto Journal of Engineering, 1:1 (2015) 5-15}
\rfoot{
	\fontsize{8}{8} \selectfont
	\textbf{\thepage}}

%\RequirePackage{multicol}

\newenvironment{keywords}{
	\fontsize{10}{10} \selectfont
	\setlength{\leftskip}{10mm}
	\setlength{\rightskip}{20mm}}

\RequirePackage[style]{abstract}
\renewcommand{\abstractname}{\hspace*{17mm} \fontsize{12}{12} \textbf{Abstract}}
\renewcommand{\abstracttextfont}{\fontsize{10}{10} \selectfont}
\setlength{\absleftindent}{20mm}
\setlength{\absrightindent}{20mm}


\newenvironment{type}{
	\fontsize{10}{10} \selectfont
	\setlength{\leftskip}{20mm}
	\setlength{\rightskip}{20mm}}






\RequirePackage{hyperref}

\newenvironment{rights}{
	\fontsize{10}{10} \selectfont
	\setlength{\leftskip}{20mm}
	\setlength{\rightskip}{20mm}}

%define o tipo de titulo das secçoes
\RequirePackage{titlesec}
\titleformat{\section}
{\fontsize{12}{12} \selectfont \bfseries}{\thesection.\quad}{0mm}{}
\titleformat{\subsection}
{\fontsize{12}{12} \selectfont \bfseries \itshape}{\thesubsection.\quad}{0mm}{}
\titleformat{\subsubsection}
{\fontsize{12}{12} \selectfont \bfseries \itshape}{\thesubsubsection.\quad}{0mm}{}

\RequirePackage{makecell}
\renewcommand\theadfont{
	\bfseries
	\fontsize{10}{10} \selectfont}
\renewcommand\theadgape{\Gape[2pt]}
\renewcommand\cellgape{\Gape[2pt]}

\RequirePackage[labelfont=bf,margin=20mm]{caption}
\captionsetup{justification=centering}




%\RequirePackage[authordate,backend=biber]{biblatex-chicago}
%\bibliography{article}